/* Example 6: Generic Methods */



public class Example6 {
	static <T1,T2> Pair<T2,T1> swap(Pair<T1,T2> pair) {
		return new Pair<T2,T1>(pair.getSnd(),pair.getFst());
	}
	public static <T extends Comparable<T>> T max(T e1, T e2) {
		return e1.compareTo(e2) >= 0 ? e1 : e2;
	}
	public static void main(String[] args) {
		Pair<Integer,Integer> pair1 = new Pair<>(42,43);
		Pair<Integer,Integer> pair2 = pair1.swap();
		System.out.println("pair1: " + pair1);
		System.out.println("pair2: " + pair2);
		Integer num1 = 42;
		Integer num2 = 43;
		System.out.println("Maximum von " + num1 + " und " + num2 + " ergibt: " + max(num1,num2));
		System.out.println("Maximum von " + num2 + " und " + num1 + " ergibt: " + max(num2,num1));
		}
}
