public class CPair<T1 extends Comparable<T1>,T2 extends Comparable <T2>>
       implements Comparable<CPair<T1,T2>>
{
	private T1 fst;
	private T2 snd;
	CPair (T1 fst, T2 snd) {
		this.fst=fst;
		this.snd=snd;
	}
	// get and set
	public void setFst(T1 fst) {this.fst=fst;}
	public void setSnd(T2 snd) {this.snd=snd;}
	public T1 fst() {return this.fst;}
	public T2 snd() {return this.snd;}
    public int compareTo(CPair<T1,T2> other) {
    	int cmpFst = fst.compareTo(other.fst);
    	return cmpFst != 0 ? cmpFst : snd.compareTo(other.snd);
    }
}
